Bug 530128 - munge-libs missing from munge epel packaging
Summary: munge-libs missing from munge epel packaging
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: munge
Version: el5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-21 16:18 UTC by Christopher D. Maestas
Modified: 2009-11-20 23:26 UTC (History)
3 users (show)

Fixed In Version: 0.5.8-8.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-20 23:26:11 UTC


Attachments (Terms of Use)

Description Christopher D. Maestas 2009-10-21 16:18:29 UTC
Description of problem:

The munge package from home.gna.org/munge builds munge, munge-devel and munge-libs.  In order to build packages that leverage this setup, the epel munge package should include a munge-libs package as well.

Additional info:

We can see the nature of the discussion here:

https://bugzilla.redhat.com/show_bug.cgi?id=506355

Comment 1 Mamoru TASAKA 2009-10-21 16:50:11 UTC
Well, the fact that "the upstream's spec file creates these binary
rpms" is not a valid reason for the claim that Fedora should follow
such packaging way. Fedora has its own packaging guidelines and quite
often they may conflict with spec files provided by software
upsteam developers.

Comment 2 Steve Traylen 2009-10-21 16:55:32 UTC
Mamoru,

Yes I agree entirely of course and mentioned in bug #506355 that since
it did not conflict with the Fedora's guidelines its a reasonable request.
There are of course many packages with -libs and of course
it has some multilib advantages as well.

I'm happy to make the change.

Steve

Comment 3 Steve Traylen 2009-10-21 17:06:22 UTC
The changes are now in CVS. 

I'll wait a couple of days before building in case of further comment.

Steve

Comment 4 Mamoru TASAKA 2009-10-21 18:24:07 UTC
Ah, dependencies are opposite. In this case 
- munge should have "Requires: %{name}-libs = %{version}-%{release}" 
  (because the dependency is actually so). 
- Also -devel subpackage dependency should be changed to 
  "Requires: %{name}-libs = %{version}-%{release}" (-devel package
  actually requires -libs subpackage in this case)
- COPYING files or so should be moved to -libs subpackage, because
  it is possible that we install only -libs package and don't install
  munge package now (after dependency is fixed).

Comment 5 Steve Traylen 2009-10-21 20:57:46 UTC
Thankyou, I had the right idea but did it wrong. Thanks very much for checking.
I spend a good portion of my life packaging  at work and I need to slow down
and think for fedora more in fact. Lesson learned.

Everything in Comment #4 implemented. In CVS again.

Comment 6 Christopher D. Maestas 2009-10-21 21:22:33 UTC
I'm just curious what the difference is between the epel munge.spec and what is distributed with the munge.spec from the main site.  Perhaps we could encourage munge authors to create spec files that are more fedora friendly too?

Comment 7 Steve Traylen 2009-10-21 22:26:04 UTC
Not a lot I expect in the end but it must follow
guidelines.
https://fedoraproject.org/wiki/Packaging/Guidelines

I purposefully ignored your spec in first instance
to stay close to the guidelines though I did look at it afterwards.
See for yourself:
http://cvs.fedoraproject.org/viewvc/rpms/munge/devel/

And for your last point of course yed  indeed though of course
not everyone maintains a .spec file in the first place.

Steve.

Comment 8 Fedora Update System 2009-11-01 15:53:33 UTC
munge-0.5.8-8.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/munge-0.5.8-8.el4

Comment 9 Fedora Update System 2009-11-01 15:54:05 UTC
munge-0.5.8-8.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/munge-0.5.8-8.el5

Comment 10 Fedora Update System 2009-11-01 15:54:44 UTC
munge-0.5.8-8.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/munge-0.5.8-8.fc10

Comment 11 Fedora Update System 2009-11-01 15:55:13 UTC
munge-0.5.8-8.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/munge-0.5.8-8.fc11

Comment 12 Steve Traylen 2009-11-01 15:56:27 UTC
Note to self:
 the f12 update needs doing after release of f12.

Comment 13 Mamoru TASAKA 2009-11-01 17:32:39 UTC
(In reply to comment #12)
> Note to self:
>  the f12 update needs doing after release of f12.  

If you want, please submit a request to rel-eng team to get the newest 
munge tagged as f12-final on:
https://fedorahosted.org/rel-eng/

Comment 14 Fedora Update System 2009-11-03 01:59:28 UTC
munge-0.5.8-8.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update munge'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0781

Comment 15 Fedora Update System 2009-11-05 19:35:37 UTC
munge-0.5.8-8.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/munge-0.5.8-8.fc12

Comment 16 Fedora Update System 2009-11-20 05:15:04 UTC
munge-0.5.8-8.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2009-11-20 05:30:18 UTC
munge-0.5.8-8.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2009-11-20 05:32:51 UTC
munge-0.5.8-8.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2009-11-20 23:26:06 UTC
munge-0.5.8-8.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2009-11-20 23:26:25 UTC
munge-0.5.8-8.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.